## GgitReflog GgitReflog |

## Functions

GgitReflog * | ggit_reflog_ref ()
void | ggit_reflog_unref ()
guint | ggit_reflog_get_entry_count ()
GgitReflogEntry * | ggit_reflog_get_entry_from_index ()

## Types and Values

| GgitReflog

## Object Hierarchy

        GBoxed
        ╰── GgitReflog

## Description

## Functions

### ggit_reflog_ref ()

    GgitReflog *
    ggit_reflog_ref (GgitReflog *reflog);

Atomically increments the reference count of `reflog` by one. This function is MT-safe and may be called from any thread.

#### Parameters

reflog | a GgitReflog. |

#### Returns

the passed in GgitReflog.

[transfer none]

### ggit_reflog_unref ()

    void
    ggit_reflog_unref (GgitReflog *reflog);

Atomically decrements the reference count of `reflog` by one. If the reference count drops to 0, `reflog` is freed.

#### Parameters

reflog | a GgitReflog. |

### ggit_reflog_get_entry_count ()

    guint
    ggit_reflog_get_entry_count (GgitReflog *reflog);

Gets the number of log entries in `reflog` .

#### Parameters

reflog | a GgitReflog. |

#### Returns

the number of log entries.

### ggit_reflog_get_entry_from_index ()

    GgitReflogEntry *
    ggit_reflog_get_entry_from_index (GgitReflog *reflog,
                                      guint idx);

Gets the GgitReflogEntry at `idx` in `reflog` , or `NULL` if not found.

#### Parameters

reflog | a GgitReflog. |
idx | the position to lookup. |

#### Returns

the reflog entry at the index, or `NULL` if not found.

## Types and Values

### GgitReflog

    typedef struct _GgitReflog GgitReflog;

Represents a reflog.